Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Log4j 1.2.14
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.log4j.varia
Class ReloadingPropertyConfigurator

    java.lang.Object
      |
      +--org.apache.log4j.varia.ReloadingPropertyConfigurator

All Implemented Interfaces:
  Configurator

public class ReloadingPropertyConfigurator
extends Object
implements Configurator

Fields inherited from interface org.apache.log4j.spi.Configurator
`INHERITED, NULL`

Constructor Summary
`ReloadingPropertyConfigurator()`

Method Summary
`void` | `doConfigure(URL url, LoggerRepository repository)` Interpret a resource pointed by a URL and set up log4j accordingly.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ReloadingPropertyConfigurator

    public ReloadingPropertyConfigurator()

Method Detail

### doConfigure

    public void doConfigure(URL url,
                            LoggerRepository repository)

  Description copied from interface: `Configurator`
  Interpret a resource pointed by a URL and set up log4j accordingly. The configuration is done relative to the `hierarchy` parameter.
  Specified by:
    `doConfigure` in interface `Configurator`
  Following copied from interface: `org.apache.log4j.spi.Configurator`
  Parameters:
    `url` - The URL to parse
    `repository` - The hierarchy to operation upon.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Log4j 1.2.14
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2000-2005 Apache Software Foundation.